Questions related to compiling software, normally using the "make" command.

learn more… | top users | synonyms (2)

1
vote
0answers
204 views

How can I direct make-kpkg to output .deb files to a different location?

I am compiling a new kernel on my Ubuntu 12.04.1 using make-kpkg. In order to do so, I'm doing the same process as suggested in izx's answer. However, I want to direct the generated .deb files to my ...
2
votes
1answer
242 views

Why does compiling C code on Xubuntu fail?

I recently did a fresh OS reinstall - switched from openSUSE to Xubuntu. I had backed up all my scientific data post-processing scripts (written in C or in FORTRAN). Code I had recently used and ...
4
votes
1answer
224 views

What is the “right” way to debianize software that uses the scons build-system?

What specific tools are available, if any, or should we just use a fake Makefile that runs scons?
0
votes
1answer
74 views

Jenkins polling for Ubuntu Kernel upgrades?

Say I wanted to distribute a binary kernel module for a custom in-house piece of hardware to users inside my company. The ideal situation is that it requires no compilation on the part of the user. ...
7
votes
2answers
4k views

Receiving error while trying to debug in QtProject

I installed the latest version of the QtProject so now I can debug C++ code. While trying to debug for the first time I got this error: ptrace: Operation not permitted. Could not attach to the ...
0
votes
1answer
173 views

Compiling oggvideotools 0.9 on Ubuntu 12.04

I'm trying to compile oggvideotools 0.9 on Ubuntu 12.04 server (0.8 is in the ubuntu repos, but I want the current 0.9 trunk version) svn co ...
1
vote
1answer
129 views

How to config and compile kernel

I know I can download new and stable kernels from kernel.org but I don't know how to config , compile and install it. of course there is a document file in kernel folder. But that text is very complex ...
2
votes
1answer
423 views

How to see the intermediate code on compilation of a C program?

I want to see the intermediate code generated during the compilation of a C program. Using the -S flag, the object code is generated but is there anything to see the .i files, called as intermediate ...
0
votes
1answer
2k views

OpenCV program won't compile (Quantal)

I am trying to compile a simple program using OpenCV in Ubuntu Quantal. I have installed all the OpenCV packages available. My code is the following #include <stdio.h> #include ...
9
votes
1answer
9k views

No acceptable C compiler found in $PATH

I want to install one package named speech_tools-2.1-release.tar.gz. After I run command ./configure in this package, it show me a message: Configure: error: no acceptable C compiler found in $PATH ...
1
vote
1answer
1k views

Linking error when trying to compile on a shared drive

I am trying to compile OpenCV library on a shared drive on my system. I was able to configure and generate makefiles successfully by using these settings, but when i try to compile I get the following ...
1
vote
0answers
226 views

What glib do I need?

I am running Ubuntu 12.04 and I am trying to compile the cpabe toolkit, but first I have to compile libbswabe. However, when I try to build libbswabe-0.9 it gives me an error stating that glib.h ...
1
vote
1answer
280 views

When will the sdl 1.3 libraries be available (implementing force feedback), or how do I compile them?

I want to use sdl force feedback for my joystick and use it on dolphin-emu. I need the 1.3 sdl libraries and only 1.2 are available. I tried to build them, but with no luck. Can anyone help?
1
vote
1answer
808 views

./configure error when compiling xgrafix on ubuntu 12.04

I have ubuntu 32 bit on i7 processor. I tried to compile and install this package called xgrafix, i have installed dependencies, but now it has error as following. ...
2
votes
1answer
567 views

Error during “Make Install” while installing Player

I want to install Player on Ubuntu Platform. 1) I give "configure" . This is done successfully. 2) After giving "sudo make install" , I get the following error: Making install in replace make[1]: ...
0
votes
1answer
171 views

Force ./configure NOT to look in /usr/lib /usr/bin /usr/include

I want to compile FFmpeg but as you know its compile will (by default) look in the system's 'lib include bin' directories before following my orders set via --extra-cflags or --extra-ldflags Now the ...
0
votes
0answers
37 views

How do I compile kernel modules? [duplicate]

Possible Duplicate: How do I install development tools for 12.10? I need to compile kernel modules under Ubuntu version 12.10 What is the build command please? (I am new to Linux and ...
0
votes
1answer
750 views

Error installing ath9k Wireless Driver for Ubuntu 12.10

I'm following the instructions of this external link. When I enter sudo make install }}} I get the following error: make -C /lib/modules/3.5.0-17-generic/build ...
6
votes
1answer
285 views

Free Software for Billing (Colombia)

English I'm looking for a billing application (also inventories, shopping, clients, providers, accounts, etc) for small businesses. The software should adapt with Colombia's necessities. I searched ...
3
votes
1answer
4k views

Fglrx AMD Catalyst 12.6 doesn't compile in Ubuntu 12.10 (64 bit or 32 bit)

Ubuntu won't compile the AMD Catalyst driver package 12.6 from the AMD website. After package creation and during installation I see in /var/lib/dkms/fglrx/8.970/build/make.log there is an error ...
2
votes
0answers
273 views

I have two versions of glib on my system, and I don't know how to remove the old one

While trying to compile a program (pygobject), running ./configure I am told that I don't have glib. So, I download the tarball and compile and install, no problems. now when I try to ./configure ...
6
votes
1answer
6k views

Does a file reported as “not a dynamic executable” by 'ldd' depend on other libraries?

Just making sure I got this right - I call ldd /path/to/executable and it returns "not a dynamic executable". This means that it doesn't depend on other libraries, correct? If so, does it mean that ...
0
votes
1answer
417 views

Why won't xattr PECL extension build on 12.10?

I was using the xattr pecl extension in 12.04 (in fact, I think since 10.04) without problem. Not surprisingly, I had to reinstall it after upgrading to 12.10 because of the new version of PHP. But ...
2
votes
1answer
145 views

Automated package build service

I´m using Bacula for backuping my servers and clients, but the versions of bacula in the official repository are very old. So I compiled and installed all the components by myself. But that was very ...
0
votes
1answer
701 views

how to install screem in ubuntu 12.10

I downloaded screem(web development environment) and tried to compile it, but after running the ./configure command i get this error. checking for SCREEM... configure: error: Package requirements ( ...
3
votes
3answers
4k views

How to solve dpkg-source source problem when building a package?

Has anyone here had some experience creating a Debian / Ubuntu package? I am trying to backport the lammps package (http://packages.ubuntu.com/quantal/lammps) from Ubuntu 12.10 (Quantal) to Ubuntu ...
4
votes
1answer
1k views

I can't compile a C++ program with the g++ command

If I try compiling my C++ source file by the following command: g++ a.cpp it outputs: The program 'g++' can be found in the following packages: * g++ * pentium builder try: sudo apt-get intsall ...
0
votes
1answer
380 views

free basic compiler error 23: File not found, libsupc++.a

I am trying to compile a simple a hello word QBASIC program in ubutu 12.04. downloaded and installed as instructed here. http://www.freebasic.net/get print "hello word" I compiled it. fbc ...
2
votes
1answer
4k views

How to patch fglrx for installation on kernel 3.7rc7?

For a bug I need to check if a bug still occurs on upstream kernel 3.7rc7, and since the bug is related to fglrx I need to install a newer version as well that work with kernel 3.7. How do I do this ...
0
votes
1answer
2k views

Make mex compiler of matlab working on mint?

Mex compiler of matlab does not work with following error Warning: You are using gcc version "4.7.2-2ubuntu1)". The version currently supported with MEX is "4.4.6". For a list of ...
0
votes
1answer
26 views

Can we use svn2cl on launchpad buildbots?

I've done a build bot for doxbox and currently i'm merging a packaging bzr repo - but that repo has the changelog outdated - and i don't want to have to maintain it. I've read dosbox autogenerates ...
1
vote
0answers
56 views

SQLite encryption what package

I have an application witch uses an encrypted sqllite db with AES 128.I receive the error : File is encrypted or not a database. It is an ok database because on windows I can read it using the same ...
7
votes
2answers
3k views

How do I install the X.org Radeon/ATI driver?

I recently downloaded version 7 of the Radeon/ATI X.org Driver from this link: http://cgit.freedesktop.org/xorg/driver/xf86-video-ati My question is how do I compile and install it? I don't like ...
3
votes
1answer
141 views

Running the Ubuntu Kernel and OS on custom processor

This is hardly a theoretical question as many have done this, albeit there's very little information on the underlying processes. I'm developing a custom MIPS-based processor on which I would like ...
1
vote
1answer
1k views

Building LMMS: “Configuring incomplete, errors occurred!”

I tried to build Linux MultiMedia studio from the source of the SourceForge git:// repository under Ubuntu 12.04 LTS 32b: git clone git://lmms.git.sourceforge.net/gitroot/lmms/lmms cd lmms git ...
1
vote
1answer
644 views

How to compile deskew plugin for Gimp?

I'm interesting in using this Deskew plugin which appears somewhat old, with broken links in the gimp registry. https://github.com/prokoudine/gimp-deskew-plugin How do I go about installing it on ...
5
votes
2answers
4k views

Virtualbox on Ubuntu 12.04 and 3.5 kernel compilation problem

I have installed the 3.5 kernel under Ubuntu 12.04. When I install virtualbox I recieve the following error. Setting up virtualbox (4.1.12-dfsg-2ubuntu0.2) ... * Stopping VirtualBox kernel modules ...
3
votes
2answers
6k views

Code::Blocks: g++ not found

Recently I have installed Code::Blocks IDE on my Ubuntu 12.10. The following error appears when I try to run or compile any code written in there: Compiling: /home/sabbir/first.cpp /bin/sh: 1: g++: ...
1
vote
0answers
379 views

Compiling vim from source :libSM.so: undefined reference to `uuid_unparse_lower@UUID_1.0'

I wanted to use all the vim customizations from Steve Francis (https://github.com/spf13/spf13-vim) . I am using Ubuntu 10.04 , 64 bit The customizations required vim 7.3 and so I am trying to ...
0
votes
1answer
491 views

getting build dependencies and source by default

Is there an application by which the build dependency as well as the source code of the software gets downloaded automatically as soon as we install the software from a .deb package or the software ...
1
vote
2answers
1k views

Trouble on installing, getopt file missing

total noob here, but my work requires me working on ubuntu. I'm trying to install a program, but this is what's popping up. $sudo perl Makefile.PL Warning: prerequisite Getopt::ArgvFile 1.11 not ...
1
vote
1answer
1k views

Glib.h error while trying to compile an application

I've been trying to compile this app from source https://code.launchpad.net/gala and i keep getting this message when i run MAKE: Scanning dependencies of target gala [ 11%] Building C object ...
1
vote
0answers
4k views

How can I run a program installed from a tar.gz file? [duplicate]

I've recently installed ubuntu 12.10 and noticed that whenever I install any type of tar.gz software in the terminal, it says installation finished but I don't find the software. example: Checking ...
2
votes
0answers
5k views

How to fix 'error: GLib >= 2.28 is required' when compiling linux-nfc on Ubuntu 10.04?

I try to compiled linux-nfc code, and running its configure file, but I get an error: configure: error: GLib >= 2.28 is required I try to update the glib with apt-get install libglib2.0-0 ...
1
vote
2answers
979 views

Where can I find the 'build' command needed to build the environment for EDK 2?

I followed the step-by-step article here: UEFI/EFK2 . Everything works nice until I need to actually build it. At the paragraph 'Building MdeModulePkg module package' the description says: Just type ...
0
votes
1answer
21 views

What packages do I need to install in order to bulld postgres from source?

I need to be able to build postgres-8.4.2 from source. What dependencies should I install?
1
vote
1answer
355 views

Differences in compiling between gcc 4.4 and gcc 4.6?

I just moved from RH (CentOS 6) with gcc 4.4.6 to Ubuntu 12 with gcc 4.6.3. I have a program that references a third party library. I have successfully build and installed the library on the Ubuntu ...
1
vote
1answer
127 views

How to write debian/changelog to allow build package other people

I've created simple debian package which I am building using bzr bd. the problem is my colleague is unable to build this package using this method, without changing changelog's email to her own, so ...
1
vote
1answer
566 views

How do I build Eidete from source?

I have recently become interested in Eidete Screencaster, and I am trying to compile it from source on Ubuntu 12.04.1 LTS. After running bzr branch lp:eidete, I navigated into the ~/eidete directory ...
-1
votes
2answers
1k views

To write a batch processing script which runs on bash

How to convert your java program so that it runs as a batch program i.e it can be run like a command in the ubuntu or any linux machine. What is the procedure and what are the steps to follow? ...